import React from "react";
import { IconBadge } from "../common/Badge/IconBadge";
import { DeploymentTypeIcon } from "./DeploymentIcons";
import { Link } from 'react-router-dom';

export function DeploymentBadge({ deployment }) {
  
  const linkToIoc = <Link to={`/iocs/${deployment.iocId}`}>{deployment.namingName}</Link>;
  
  return (
    <IconBadge 
      icon={
        <>
          <DeploymentTypeIcon type={deployment.undeployment ? "undeploy" : "deploy"}/>
          </>
      }
      title={linkToIoc} subheader={deployment.host.hostName || "---"} />
  )
}