import { Container, Grid, Paper, Button, Box, Typography } from "@material-ui/core";
import React, { useContext, useState } from "react";
import { useGlobalAppBar } from "../../components/navigation/GlobalAppBar/GlobalAppBar";
import { CreateIOC } from "../../components/IOC/CreateIOC";
import { SimpleModal } from "../../components/common/SimpleModal/SimpleModal";
import { useCreateIOC, userContext } from "../../api/SwaggerApi";
import { makeStyles } from '@material-ui/core/styles';
import { IOCListView } from "../IOC/IOCListView";

const useStyles = makeStyles((theme) => ({
  root: {
    marginBottom: theme.spacing(2),
  },
}));

export function HomeView() {
  const [iocFormOpen, setIOCFormOpen] = useState(false);
  const {user} = useContext(userContext);
  const classes = useStyles();

  console.log("rendering Own IOCs")

  useGlobalAppBar("Home");

  const closeModal = () => {
    setIOCFormOpen(false);
  }  

  return (
    <Container>
      <Paper className={classes.root}>
          <Grid container spacing={1} justify="flex-end">
            <Grid item xs={10}>
              <Box display="flex" flexDirection="row" p={2} m={1}>
              <Typography variant="h2">
                My IOCs
              </Typography>
              </Box>
            </Grid>
            <Grid item xs={2}>
              <Box display="flex" flexDirection="row-reverse" p={2} m={1}>
                <Button variant="contained" color="secondary" onClick={() => { setIOCFormOpen(true) }}>New IOC</Button>
              </Box>
            </Grid>
            <Grid item xs={12}>
              <IOCListView user={user} />
            </Grid>
            <SimpleModal open={iocFormOpen} setOpen={setIOCFormOpen}>
              <CreateIOC open={iocFormOpen} setOpen={setIOCFormOpen} isUpdateIoc={false} submitCallback={closeModal} hook={useCreateIOC} title="Create new IOC" buttonText="Create"/>
            </SimpleModal>
          </Grid>
      </Paper>
    </Container>
  );
}

